require( 'extensions.rb' )

module GKWare  # Proprietary TopLevel Namespace: No Tresspassing!

  module StairMaker  # Namespace for THIS plugin

		# Create an entry in the Extension list that loads script called:
		# "gkware_stairmaker/gkware_stairmaker_loader.rb"

	@@plugin = SketchupExtension.new( 'GKWare Stair Maker', 'gkware_stairmaker/gkware_stairmaker_loader.rb' )

	@@plugin.creator   	 = 'Garry Kernan'
	@@plugin.copyright 	 = '(c)2014 by gkware'
	@@plugin.version   	 = '1.0.7'
	@@plugin.description = 'Stair Maker creates Curved Stairs - http://www.CabMaker32.com'

	unless @@plugin.class.method_defined?( :path )
		  #
		  # Define a singleton method for @@plugin to access the @path attribute.
		  # (... because the API did not do it in extensions.rb !!)
		  #
	  def @@plugin.path()
		instance_variable_get( :@path )
	  end
	end # unless

		# Create local path and filename constants:
		#

	PATH = @@plugin.path()
	LOADER_SUFFIX = '_loader'
	LOADER = File.basename( PATH )
	tmp = LOADER.split("_")
	RBSFILE = tmp[0] + "_" + tmp[1] + '.rbs'

		# RELDIR is relative to Plugins dir, OR the dir from
		# the $LOAD_PATH array that require used to find it.
	RELDIR = File.dirname( PATH )

	ROOT = $LOAD_PATH.find( false ) do |abspath|
	  Kernel.test(?d, File.join( abspath,RELDIR ) )
	end

	if ROOT
	  ABSDIR = File.join( ROOT, RELDIR )
	else
	  # assume the target dir is directly below, the dir that THIS file is in.
	  ABSDIR = File.join( File.dirname(__FILE__), RELDIR )
	end

		# Register this extension with the Sketchup::ExtensionManager
	Sketchup.register_extension( @@plugin, true )

  end # module GKWare::StairMaker

end # module GKWare



